//
//  Debugger.java
//  RoadTool
//
//  Created by Thomas Dickerson on 11/20/08.
//  Copyright 2008 __MyCompanyName__. All rights reserved.
//

package sfgp.debug;

import java.io.*;

public class Debugger {
	
	public static final int SILENT = 0;
	public static final int ERR = 1;
	public static final int NORMAL = 2;
	public static final int ALL = 3;
	static int VERBOSITY = SILENT;
	static PrintStream errStream = System.err;
	static PrintStream outStream = System.out;
	
	public static void printInfo(String str){	if(VERBOSITY >= NORMAL) outStream.println(str);	} //If I get less lazy make a way to log to file too
	public static void printChatter(String str){	if(VERBOSITY == ALL) outStream.println(str);	}
	public static void printTiming(long start, long end){	if(VERBOSITY != SILENT) outStream.println("-task completed in " + (end - start) + "ms\n");		}
	public static void printError(String str){	if(VERBOSITY != SILENT) errStream.println(str);	} //Or they could just redirect stdout/stdin
	public static void redirectDebugOut(PrintStream out){	outStream = out;	}
	public static void redirectDebugErr(PrintStream err){	errStream = err;	}
	public static void setVerbosity(int i){	VERBOSITY = i % 4;	}
	public static int getVerbosity(){	return VERBOSITY;	}
}
